Installing Apache on ColdFusion2021

New Here ,
Apr 13, 2021 Apr 13, 2021

Copy link to clipboard

Copied

I would like to use the ColdFusion 2021 with Apache.
 
OS                     :  Windows10 (64bit)
Apache Version :  2.4.41-win64-VC14
Adobe                : ColdFusion 2021(Developer Version)
 
ColdFusion and Apache are already installed and both are working fine.
But the problem is I can not add the Apache server to ColdFusion.
The error message is "An unknown error has occurred."

Views

49

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Apr 15, 2021 Apr 15, 2021

Copy link to clipboard

Copied

LATEST

We'll need more info. When did the error occur? I assume it was in your running the wsconfig.exe (or the "web server configuration tool" in the Windows Start menu), but was it on starting it? after filling in the form? on submitting it? And did the UI offer Apache as a choice for you to pick? If so, what values did you put in for the fields? (And as you say you're running in CF2021, we need not wonder if you ran the tool "as admin", because it tries to do that itself since CF2018.)

 

Then again, SINCE you say you are running CF2021, you have not clarified HOW you installed it. I am willing to make a bet that you installed it not with the full installer, but with the new "zip" install approach (new in 2021). And if you read the docs for that (who does?), it explains that in using that approach, there's an extra step you need to take (that the full installer would do for you).

 

You need to run the visual c++ 2012 redistributable. The wsconfig tool leverages that.

 

This is discussed here:

https://helpx.adobe.com/coldfusion/using/install-coldfusion-2021.html

 

Which says at the top, "You must first install VC 2012 Runtime. Without this runtime, the connector and the htmltopdf package will not work a expected." You could be forgiven for missing that even if you DID find the page. 🙂 And sadly it doesn't offer any more info than that, there.

 

But then Adobe did also do a blog post when CF2021 came out, talking about the zip install experience:

 

https://coldfusion.adobe.com/2020/12/coldfusion-2021-install-experience/

 

And there they do offer this, which I will repeat here to save you (and others) digging around to find it:

 

Webserver configuration 

 

The 2012 Visual C++ Redistributable runtime is needed for connector configuration and for the HTMLtoPDF module. As this runtime is not bundled by default in the ZIP installers, you will need to set it up first before you can either configure your connector or use the HTMLtoPDF functionality or both.  

 

You can download the 2012 VC Runtime from here https://www.microsoft.com/en-in/download/details.aspx?id=30679 

 

They don't say there WHAT error you would get, but I won't be surprised if it's what you shared.

 

And I think all would agree that it's unfortunate that this could happen, and that the CF team should modify the wsconfig tool to DETECT when this has not been done, so that it fails with a more graceful message. You may want to open a ticket about that at tracker.adobe.com, and share the ticket id here so that we can vote it up.

 

Let us know if that gets you going, Ei. If not, please do answer the first questions I had asked


/Charlie (server troubleshooter, carehart.org)

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines